#ifndef ActionExecutionModeH
#define ActionExecutionModeH

class ActionExecutionMode
{

public:
    static int NORMAL() { return 0; }
    static int REDIRECT() { return 1; }
    static int BATCH() { return 2; }
    static int TEST() { return 3; }
    static int HEADLESS() { return 4; }

private:
    int code;

public:
	int getCode();
	ActionExecutionMode(int code1);
};

#endif
